## psychtoolbox-3 3.0.14.20170103+git6

=== SConstruct ===
import sys, os.path

def rsplit(toSplit, sub, max=-1):
    """ str.rsplit seems to have been introduced in 2.4 :( """
    l = []
    i = 0
    while i != max:
        try: idx = toSplit.rindex(sub)
        except ValueError: break

        toSplit, splitOff = toSplit[:idx], toSplit[idx + len(sub):]
        l.insert(0, splitOff)
        i += 1

    l.insert(0, toSplit)
    return l

sconsDir = os.path.join("build", "scons")
SConscript(os.path.join(sconsDir, "SConscript_common"))
Import("Platform", "Posix", "ApiVer")

# SConscript_opts exports PortAudio options
optsDict = SConscript(os.path.join(sconsDir, "SConscript_opts"))
optionsCache = os.path.join(sconsDir, "options.cache")   # Save options between runs in this cache
options = Options(optionsCache, args=ARGUMENTS)
for k in ("Installation Dirs", "Build Targets", "Host APIs", "Build Parameters", "Bindings"):
    options.AddOptions(*optsDict[k])
# Propagate options into environment
env = Environment(options=options)
# Save options for next run
options.Save(optionsCache, env)
# Generate help text for options
env.Help(options.GenerateHelpText(env))

buildDir = os.path.join("#", sconsDir, env["PLATFORM"])

# Determine parameters to build tools
if Platform in Posix:
    baseLinkFlags = threadCFlags = "-pthread"
    baseCxxFlags = baseCFlags = "-Wall -pedantic -pipe " + threadCFlags
    debugCxxFlags = debugCFlags = "-g"
    optCxxFlags = optCFlags  = "-O2"
env["CCFLAGS"] = baseCFlags.split()
env["CXXFLAGS"] = baseCxxFlags.split()
env["LINKFLAGS"] = baseLinkFlags.split()
if env["enableDebug"]:
    env.AppendUnique(CCFLAGS=debugCFlags.split())
    env.AppendUnique(CXXFLAGS=debugCxxFlags.split())
if env["enableOptimize"]:
    env.AppendUnique(CCFLAGS=optCFlags.split())
    env.AppendUnique(CXXFLAGS=optCxxFlags.split())
if not env["enableAsserts"]:
    env.AppendUnique(CPPDEFINES=["-DNDEBUG"])
if env["customCFlags"]:
    env.Append(CCFLAGS=env["customCFlags"])
if env["customCxxFlags"]:
    env.Append(CXXFLAGS=env["customCxxFlags"])
if env["customLinkFlags"]:
    env.Append(LINKFLAGS=env["customLinkFlags"])

env.Append(CPPPATH=[os.path.join("#", "include"), "common"])

# Store all signatures in one file, otherwise .sconsign files will get installed along with our own files
env.SConsignFile(os.path.join(sconsDir, ".sconsign"))

env.SConscriptChdir(False)
sources, sharedLib, staticLib, tests, portEnv = env.SConscript(os.path.join("src", "SConscript"),
        build_dir=buildDir, duplicate=False, exports=["env"])

if Platform in Posix:
    prefix = env["prefix"]
    includeDir = os.path.join(prefix, "include")
    libDir = os.path.join(prefix, "lib")
    env.Alias("install", includeDir)
    env.Alias("install", libDir)

    # pkg-config

    def installPkgconfig(env, target, source):
        tgt = str(target[0])
        src = str(source[0])
        f = open(src)
        try: txt = f.read()
        finally: f.close()
        txt = txt.replace("@prefix@", prefix)
        txt = txt.replace("@exec_prefix@", prefix)
        txt = txt.replace("@libdir@", libDir)
        txt = txt.replace("@includedir@", includeDir)
        txt = txt.replace("@LIBS@", " ".join(["-l%s" % l for l in portEnv["LIBS"]]))
        txt = txt.replace("@THREAD_CFLAGS@", threadCFlags)

        f = open(tgt, "w")
        try: f.write(txt)
        finally: f.close()

    pkgconfigTgt = "portaudio-%d.0.pc" % int(ApiVer.split(".", 1)[0])
    env.Command(os.path.join(libDir, "pkgconfig", pkgconfigTgt),
        os.path.join("#", pkgconfigTgt + ".in"), installPkgconfig)

# Default to None, since if the user disables all targets and no Default is set, all targets
# are built by default
env.Default(None)
if env["enableTests"]:
    env.Default(tests)
if env["enableShared"]:
    env.Default(sharedLib)

    if Platform in Posix:
        def symlink(env, target, source):
            trgt = str(target[0])
            src = str(source[0])

            if os.path.islink(trgt) or os.path.exists(trgt):
                os.remove(trgt)
            os.symlink(os.path.basename(src), trgt)

        major, minor, micro = [int(c) for c in ApiVer.split(".")]
        
        soFile = "%s.%s" % (os.path.basename(str(sharedLib[0])), ApiVer)
        env.InstallAs(target=os.path.join(libDir, soFile), source=sharedLib)
        # Install symlinks
        symTrgt = os.path.join(libDir, soFile)
        env.Command(os.path.join(libDir, "libportaudio.so.%d.%d" % (major, minor)),
            symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so.%d" % major), symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so"), symTrgt, symlink)

if env["enableStatic"]:
    env.Default(staticLib)
    env.Install(libDir, staticLib)

env.Install(includeDir, os.path.join("include", "portaudio.h"))

if env["enableCxx"]:
    env.SConscriptChdir(True)
    cxxEnv = env.Copy()
    sharedLibs, staticLibs, headers = env.SConscript(os.path.join("bindings", "cpp", "SConscript"),
            exports={"env": cxxEnv, "buildDir": buildDir}, build_dir=os.path.join(buildDir, "portaudiocpp"), duplicate=False)
    if env["enableStatic"]:
        env.Default(staticLibs)
        env.Install(libDir, staticLibs)
    if env["enableShared"]:
        env.Default(sharedLibs)
        env.Install(libDir, sharedLibs)
    env.Install(os.path.join(includeDir, "portaudiocpp"), headers)

## psychtoolbox-3 3.0.9+svn2579.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.9+svn2579.dfsg1-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 May 2012 16:02:21 -0400

psychtoolbox-3 (3.0.9+svn2579.dfsg1-1) unstable; urgency=low

  * Fresh always-beta always 3.0.9 release
    - addresses portaudio issues on amd64 platform
    - 1 new entry for debian/copyright

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 May 2012 13:25:28 -0400

psychtoolbox-3 (3.0.9+svn2539.dfsg1-1) unstable; urgency=low

  * Fresh beta release:
    - resolved outstanding copyright/license issue with glext_edit.h
    - Initial upload to unstable (Closes: #606557)
  * debian/control:
    - -common: recommend subversion for DownloadAdditions functionality
  * debian/copyright:
    - updated to reflect upstream changes and some outstanding missing entries
  * debian/TODO, debian/rules:
    - cleanup

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Apr 2012 11:12:15 -0400

psychtoolbox-3 (3.0.9+svn2514.dfsg1-1) neurodebian; urgency=low

  * Fresh beta release:
    Many improvements to realtime scheduling and movie playback, a bit of
    gpu based random number noise generation (perlin noise) on modern
    gpus, etc.
  * Refreshed patches
  * Updated copyright (years, URLs, license)
  * Boosted policy to 3.9.3 -- no changes
  * Added upstream changelog as a GIT/SVN log of the upstream beta branch
    which carries release summaries
  * "Manually" generate octave:Depends due to deprecation of
    octave-depends helper in favor of unversioned octave package.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Mar 2012 22:19:03 -0400

psychtoolbox-3 (3.0.9+svn2458.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot (no chages in sources), necessary
    to assure correct fetching of binary extensions upon demand

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Feb 2012 21:00:54 -0500

psychtoolbox-3 (3.0.9+svn2456.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot (no chages in sources), necessary
    to assure correct fetching of binary extensions upon demand
  * To please Ubuntu's --as-needed placed -l's for
    libptbdrawtext_ftgl.so.1 build at the end of the build cmd
    (should fix incorrect building on Ubuntu's >= 11.04)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Feb 2012 21:59:12 -0500

psychtoolbox-3 (3.0.9+svn2455.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot
    - upstream dropped direct build dependency on libraw1394-dev
    - compatible with freenect 0.1.2
  * Refreshed patches: deb_no_static_bindings_with-fPIC,
    deb_see_README.Debian, deb_use_system_GLEW

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 18:29:24 -0500

psychtoolbox-3 (3.0.9+svn2380.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot addressing XRandR support etc
  * Upstream moved to a new SVN hosting, git-svn linkage was updated
  * deb_see_README.Debian patch refreshed
  * Boosted policy to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Dec 2011 00:19:52 -0500

psychtoolbox-3 (3.0.9+svn2351.dfsg1-1) neurodebian; urgency=low

  * New upstream point release
  * Adjusted debian/cleanup.sh (thanks Mario for heads up)
  * Renamed debian/cleanup.sh into debian/dfsg-upstream
  * libxrandr-dev into Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Nov 2011 22:02:20 -0500

psychtoolbox-3 (3.0.9+svn2265.dfsg1-1) neurodebian; urgency=low

  * New upstream point release
  * gfortran into build-depends to assure noise-less operation of
    mkoctfile
  * libxi-dev into Build-Depends due to use of libXi
  * Enabled building of moalcore.mex and PsychHID.mex for octave
    (libopenal-dev into build-Depends)
  * Build-Depend on 1.6 (instead of 1.5) version of GLEW to enable
    OML_sync_control extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Aug 2011 14:25:00 -0400

psychtoolbox-3 (3.0.9+svn2167.dfsg1-1) neurodebian; urgency=low

  * New upstream point release (aiming at becoming a beta):
    - core is now distributed under MIT license
  * Removed BIG FAT WARNING
  * Added Recommends and Suggests on some octave toolboxes, and
    gstreamer plugins sets (base, good, bad, ugly)
  * Provide include paths for glib-2.0 from pkg-config -- necessary
    for build on systems with multiarch support

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jun 2011 22:55:34 -0400

psychtoolbox-3 (3.0.9+svn2078.dfsg1-1) neurodebian; urgency=low

  * New upstream point release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 May 2011 18:00:28 -0400

psychtoolbox-3 (3.0.8+svn1934.dfsg1-1~pre2) neurodebian; urgency=low

  * New patch up_portaudio_patches to consolidate upstream's
    linux-relevant patches for portaudio -- fixes problem with missing
    symbol PaUtil_SetDebugPrintFunction
  * README.Debian:
    - notes on setting up real-time scheduling and memory locking
    - hint on 'sca' function for restoring the display
  * New patch deb_psychtoolboxversion to enable reporting PTB version
    in the packaged version of PTB
  * Added a big fat warning to descriptions of all the packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Jan 2011 12:17:42 -0500

psychtoolbox-3 (3.0.8+svn1934.dfsg1-1~pre1) neurodebian; urgency=low

  * Initial Debian packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Dec 2010 00:01:44 -0500

=== debian/control ===
Source: psychtoolbox-3
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), rsync,
               matlab-support-dev,
               octave-pkg-dev (>= 0.5.7),
               gfortran,
               libpciaccess-dev,
               libxml2-dev,
               libglib2.0-dev,
               libxxf86vm-dev,
               libglu1-mesa-dev,
               libxext-dev,
               libxi-dev,
               libxrandr-dev,
               libglew-dev (>= 1.6.0) | libglew1.6-dev,
               freeglut3-dev,
               libgstreamer-plugins-base0.10-dev,
               libdc1394-22-dev,
               libusb-1.0-0-dev,
               libfreenect-dev (>= 0.1.2),
               libfontconfig1-dev,
               libfreetype6-dev,
               libasound2-dev,
               libopenal-dev,
Standards-Version: 3.9.3
Homepage: http://psychtoolbox.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychtoolbox-3.git


Package: psychtoolbox-3-common
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Recommends: subversion
Description: toolbox for vision research -- arch/interpreter independent part
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains architecture independent files (such as .m scripts)

Package: psychtoolbox-3-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer0.10-plugins-base,
            gstreamer0.10-plugins-good,
Suggests: gstreamer0.10-plugins-bad,
          gstreamer0.10-plugins-ugly
Description: toolbox for vision research -- arch-specific parts
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains additional binaries (tools/dynamic libraries) used
 by both Octave and Matlab frontends.

Package: octave-psychtoolbox-3
Architecture: any
Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
         psychtoolbox-3-common (= ${source:Version}),
         psychtoolbox-3-lib (= ${binary:Version}),
Recommends: octave-audio,
            octave-image,
            octave-optim,
            octave-signal,
            octave-statistics,
Provides: psychtoolbox, psychtoolbox-3
Description: toolbox for vision research -- Octave bindings
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains bindings for Octave.

Package: psychtoolbox-3-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
Description: toolbox for vision research -- debug symbols for binaries
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 To ease debugging and troubleshooting this package contains debug
 symbols for Octave bindings and other binaries.

#Package: matlab-psychtoolbox-3
#Section: contrib/science
#Architecture: all
#Provides: psychtoolbox, psychtoolbox-3
#Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
# matlab-support,
# psychtoolbox-3-common (= ${source:Version}),
#Description: toolbox for vision research -- Matlab bindings
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains sources of low-level implementations which get
# build for use with Matlab during installation.  Note that this
# package depends on Matlab -- a commercial software that needs to be
# obtain and installed separately.

#Package: psychtoolbox-3-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#Description: toolbox for vision research -- documentation
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains documentation files.

## psychtoolbox-3 3.0.10.20130114.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.10.20130114.dfsg1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 Jan 2013 23:14:59 -0500

psychtoolbox-3 (3.0.10.20130114.dfsg1-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Jan 2013 22:13:23 -0500

psychtoolbox-3 (3.0.10.20130108.dfsg1-1) experimental; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_use_system_GLEW -- refreshed
    - deb_psychtoolboxversion -- fixed to compare correctly for paths of both
      Octave and Matlab
  * debian/upstream
    - provides references and other information

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Jan 2013 09:09:40 -0500

psychtoolbox-3 (3.0.10.20121111.dfsg1-1) neurodebian-devel; urgency=low

  * Long over-due fresh always-beta snapshot release of 3.0.10
    - upstream switched entirely over to GIT, packaging repository
      is rebased on top of that GIT repository
    - debian/dfsg-upstream adjusted for new archives/binary blobs to
      be removed
  * debian/control
    - boost glew build-depends to 1.9 (soversioned backport -dev packages
      provided by NeuroDebian)
    - build-depend on libxfixes-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Dec 2012 13:08:23 -0500

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                libxxf86vm-dev,
                libglu1-mesa-dev,
                libxext-dev,
+               libxfixes-dev,
                libxi-dev,
                libxrandr-dev,
-               libglew-dev (>= 1.6.0) | libglew1.6-dev,
+               libglew-dev (>= 1.9.0~) | libglew1.9-dev,
                freeglut3-dev,
                libgstreamer-plugins-base0.10-dev,
                libdc1394-22-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# get Octave paths
include /usr/share/octave/debian/defs.make
# get Matlab paths
include /usr/share/matlab/debian/defs.make

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
uver = $(shell echo $(debver) | sed -e 's,-[^-]*$$,,g' )
uver_nondfsg = $(shell echo $(uver) | sed -e 's,.dfsg[0-9]*,,g')

# Directories which are created/populated/cleanedup
BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins
OCT_SHAREDDIR=debian/psychtoolbox-3-common/usr/share/psychtoolbox-3
OCT_LIBDIR=debian/octave-psychtoolbox-3/usr/lib/psychtoolbox-3

export LDFLAGS=-Wl,--as-needed

# Critical for building on machines with multiarch support
# (e.g. ubuntu 11.04)
GLIB_INCLUDES=$(shell pkg-config --cflags glib-2.0)

# Upstream advises to build without optimization at the moment
export CXXFLAGS=-Wall -g -O0
export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES)

# Let's use "advanced" bash patterns
export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_build: build-stamp
build-stamp:
	mkdir -p $(BDIRS)
	: # Build patched version of portaudio
	: # dependent on patch deb_portaudio_Makefile
	$(MAKE) -C PsychSourceGL/Cohorts/PortAudio

	: # Build all extensions, but:
	: #  3  dependent on portaudio above
	: #  4  libeyelink -- non-distributable binary blob with open-sourced API
	cd PsychSourceGL/Source/; \
		for mode in 0 1 2 3   5 6 7 8 9; do \
		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3_ubuntugutsy($$mode)" || exit 1; \
	done

	: # Manually build OpenGL text renderer extension
	cd PsychSourceGL/Cohorts/FTGLTextRenderer; \
	$(CXX) $(CXXFLAGS) -I. -I/usr/include/ -I/usr/include/freetype2/ \
		-L/usr/lib -pie -shared -fPIC \
		-Wl,-Bsymbolic -Wl,-Bsymbolic-functions \
		-Wl,--version-script=linuxexportlist.txt \
		-o libptbdrawtext_ftgl.so.1 \
		libptbdrawtext_ftgl.cpp qstringqcharemulation.cpp OGLFT.cpp \
		-lGL -lGLU -lfontconfig -lfreetype

	: # Manually build tcp_udp_ip toolbox's extension
	cd ./Psychtoolbox/PsychHardware/iViewXToolbox/tcp_udp_ip; \
		octave -q --eval "mex pnet.c"; [ -f pnet.mex ]

	install --mode=0644 PsychSourceGL/Cohorts/FTGLTextRenderer/libptbdrawtext_ftgl.so.1 \
	   Psychtoolbox/PsychBasic/PsychPlugins
	touch $@

override_dh_auto_install:
	dh_auto_install
	: # to guarantee -common existance for arch-dep builds only:
	mkdir -p $(OCT_SHAREDDIR)
	rsync -a --exclude=*.o ./Psychtoolbox/ $(OCT_SHAREDDIR)

	: # Move .mex to reside alongside with .m to gain easy help in octave
	mv $(OCT_SHAREDDIR)/PsychBasic/Octave3LinuxFiles/* $(OCT_SHAREDDIR)/PsychBasic
	: # But PsychHID must go into PsychHardware alongside with .m
	mv $(OCT_SHAREDDIR)/PsychBasic/PsychHID.mex $(OCT_SHAREDDIR)/PsychHardware
	rmdir $(OCT_SHAREDDIR)/PsychBasic/Octave3LinuxFiles

	: # Move .mex binaries under /usr/lib and create symlinks file to point back
	mkdir -p $(OCT_LIBDIR)
	cp debian/octave-psychtoolbox-3.links.in  debian/octave-psychtoolbox-3.links
	find $(OCT_SHAREDDIR)/ -iname \*.mex | while read f; do \
		fn=$$(basename $$f); ds=$$(dirname $$f); \
		dl=$$(echo $$ds | sed -e 's,psychtoolbox-3-common,octave-psychtoolbox-3,g' -e 's,/share/,/lib/,g'); \
		echo "I: Moving $$f under $$dl"; \
		mkdir -p $$dl; \
		mv $$f $$dl; \
		echo "/usr/lib$${f#*usr/share}	/usr$${f#*usr}" >> debian/octave-psychtoolbox-3.links; \
	done

	cp debian/psychtoolbox-3-lib.links.in  debian/psychtoolbox-3-lib.links
	find $(OCT_SHAREDDIR)/ -iname \*.so* -o -iname \*.a | while read f; do \
		fn=$$(basename $$f); ds=$$(dirname $$f); \
		dl=$$(echo $$ds | sed -e 's,psychtoolbox-3-common,psychtoolbox-3-lib,g' -e 's,/share/,/lib/,g'); \
		echo "I: Moving $$f under $$dl"; \
		mkdir -p $$dl; \
		mv $$f $$dl; \
		echo "/usr/lib$${f#*usr/share}	/usr$${f#*usr}" >> debian/psychtoolbox-3-lib.links; \
	done

	: # Filter out duplicate licenses etc
	find debian/ -iname 3Dlabs-License.txt -o \
				 -iname COPYING -o \
				 -iname *license.txt | xargs -r rm

	: # Filter out some scripts which aren't pertitent to Debian systems
	find debian/ -iname simplepsychtoolboxsetup.sh -o -iname setupdate.sh | xargs -r rm
	find debian/ -regextype posix-egrep -regex '.*/(Update|Setup|Download)Psychtoolbox\..*' -delete

override_dh_makeshlibs:
	dh_makeshlibs
	: # Provide Octave:Depends
	[ -e /usr/bin/octave-depends ] \
	&& octave-depends \
	|| echo 'octave:Depends=octave (>= 3.4.3-1~)' >> debian/octave-psychtoolbox-3.substvars

#override_dh_fixperms:
#	dh_fixperms

override_dh_strip:
	dh_strip --dbg-package=psychtoolbox-3-dbg

override_dh_shlibdeps:
	@: # octave will take care of proper deps for extensions -- no need to scan
	@: # them and warn all the time
	dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)

	: # Manually remove executable bit for everything not to be executed (e.g. .mex .m .so.*)
	@: # needs to be done post dh_strip,dh_shlibdeps so that .mex are found by dh_strip, dh_shlibdeps
#	find debian/ -regextype posix-egrep \
#	-regex '.*\.(c|jpg|vert|frag|xml|html|hiro|kanji|mat|m|txt|mex|so(|\..*))' \
#	-perm /+x -print0 \
	@: # strip from all files since we do not have any real executable there
	find debian/ -ipath '*psych*/usr/*' -perm /+x -type f ! -iname ATIRadeonperf_Linux -print0 \
	| xargs -0 --no-run-if-empty chmod a-x

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_clean:
	dh_clean
	rm -f build-stamp
	: # Manually remove  additional trash
	find Psych* -regextype posix-egrep -regex '.*\.(o|mex|so(|\..*))' -delete
	-rmdir $(BDIRS)
	: # Prune some Debian generated files
	-rm debian/octave-psychtoolbox-3.links debian/psychtoolbox-3-lib.links
	$(MAKE) -C PsychSourceGL/Cohorts/PortAudio clean

debian/changelog.upstream:
	git log remotes/branches/beta >| $@

get-orig-source: debian/changelog.upstream
	@echo "I: Exporting free portion of `git describe dfsg`"; \
	git archive --format=tar --prefix=$(srcpkg)-$(uver)/ dfsg | \
        gzip -9 > $(srcpkg)_$(uver).orig.tar.gz

# Fetch all those binary blobs to go into non-free binaries packages
get-orig-source-nonfree:
	@beta_merge_base=$$(git merge-base origin/beta HEAD); \
	echo "I: Exporting non-free portion of `git describe $$beta_merge_base`"; \
	git archive --format=tar --prefix=$(srcpkg)-nonfree-$(uver_nondfsg)/ $$beta_merge_base -- \
		./Psychtoolbox/PsychBasic/*.mex{a64,glx} \
		./Psychtoolbox/PsychBasic/Octave3LinuxFiles{,64}/{Eyelink,Datapixx}.mex \
        ./Psychtoolbox/PsychHardware/iViewXToolbox/tcp_udp_ip/pnet.mex{a64,glx} \
	| gzip -9 > $(srcpkg)-nonfree_$(uver_nondfsg).orig.tar.gz

## psychtoolbox-3 3.0.11.20130711.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20130711.dfsg1-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 16 Jul 2013 03:17:30 -0400

psychtoolbox-3 (3.0.11.20130711.dfsg1-1) experimental; urgency=low

  * New upstream release
    - resolves FTBFS with gcc-4.8 (Closes: #701342)
  * debian/control
    - moved all gst-plugins collecttions to Recommends per upstream
      recommendation

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Jul 2013 11:28:09 -0400

psychtoolbox-3 (3.0.10.20130612.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 12:03:25 -0400

psychtoolbox-3 (3.0.10.20130522.dfsg1-1) UNRELEASED; urgency=low

  * New upstream snapshot release
    - upload only to NeuroDebian due to unresolved #705485
      (liboctave-dev & GCC 4.8)
  * debian/rules
    - run selected collection of Demos and Tests at build-time to validate
      correct operation (xvfb, xauth, xdotool, gstreamer, etc to B-D).
      Failures are ignored for now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 11:09:19 -0400

psychtoolbox-3 (3.0.10.20130420.dfsg1-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/rules, debian/dfsg-upstream
    - adjusted for new binary blobs (libwaffle etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 May 2013 09:30:06 -0400

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,10 @@
                libfreetype6-dev,
                libasound2-dev,
                libopenal-dev,
+               xvfb, xauth, libgl1-mesa-dri, xdotool,
+               pulseaudio-utils, octave-image,
+               gstreamer0.10-plugins-base, gstreamer0.10-plugins-good,
+Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1)
 Standards-Version: 3.9.3
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
@@ -59,8 +63,8 @@
 Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base,
             gstreamer0.10-plugins-good,
-Suggests: gstreamer0.10-plugins-bad,
-          gstreamer0.10-plugins-ugly
+            gstreamer0.10-plugins-bad,
+            gstreamer0.10-plugins-ugly,
 Description: toolbox for vision research -- arch-specific parts
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
@@ -104,6 +108,9 @@
  collection of observer responses. Ancillary routines support common
  needs like color space transformations and the QUEST threshold
  seeking algorithm.
+ .
+ See also http://www.psychtoolbox.org/UsingPsychtoolboxOnUbuntu for
+ additional information about systems tune-up and initial configuration.
  .
  This package contains bindings for Octave.

## psychtoolbox-3 3.0.11.20131230.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20131230.dfsg1-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:50 +0000

psychtoolbox-3 (3.0.11.20131230.dfsg1-1) unstable; urgency=low

  * New upstream release:
    - detect location of (recently moved) FreeType-2 header files (Closes:
      #733402)
    - improved low-level support of the latest AMD gpu's
    - fix for key-events handling under XFCE-4 (no new workspaces should
      now get created upon exit)
    - general improvements to video capture and video recording
    - various other fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Dec 2013 19:52:29 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-3) unstable; urgency=low

  * Upload to unstable since fresh glew has arrived to sid!

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Nov 2013 23:34:50 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-2) neurodebian; urgency=low

  * debian/control
    - Also adding a conflict for libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2) in
      saucy
    - Adding gnuplot-nox|gnuplot to build-depends and gnuplot to suggests of
      -common package
    - libusb-1.0-0-dev 1.0.9 (even rc) should be good enough according to Mario.
      So downgrading this versioned dependency so it could build for squeeze and
      precise now
  * debian/rules
    - exclude test PTBAndIsetbioColorimetryTest since requires isetbio cmdline

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Oct 2013 22:30:02 -0400

psychtoolbox-3 (3.0.11.20131017.dfsg1-1) experimental; urgency=low

  * Fresh bugfix release resolving discovered issues with 3.0.11.20131003,
    e.g. segfaults upon exit

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Oct 2013 22:09:21 -0400

psychtoolbox-3 (3.0.11.20131003.dfsg1-1) experimental; urgency=low

  * Fresh upstream primarily bugfix release
    - addresses an issue with  PsychHID('Devices') breaking sub-second
      timing of WaitSecs (Thanks Mario for the detailed report on new release).
  * debian/patches
    - refreshed to address renaming of the build .m script
  * debian/control
    - boost build-depends on libusb-1.0-0-dev >= 2:1.0.11

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Oct 2013 15:18:39 -0400

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	: #  4  libeyelink -- non-distributable binary blob with open-sourced API
 	cd PsychSourceGL/Source/; \
 		for mode in 0 1 2 3   5 6 7 8 9; do \
-		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3_ubuntugutsy($$mode)" || exit 1; \
+		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3($$mode)" || exit 1; \
 	done
 
 	: # Manually build OpenGL text renderer extension
@@ -64,6 +64,57 @@
 	install --mode=0644 PsychSourceGL/Cohorts/FTGLTextRenderer/libptbdrawtext_ftgl.so.1 \
 	   Psychtoolbox/PsychBasic/PsychPlugins
 	touch $@
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	: # Smoke test some Demos and Tests -- some are excluded for various reasons
+	: # image would be needed for one of the demos
+	cd Psychtoolbox/PsychDemos/PsychTutorials/; ln -sf ../konijntjes1024x768*.jpg .
+	cd Psychtoolbox/PsychTests/; ln -sf ../PsychDemos/konijntjes1024x768*.jpg .
+
+	find Psychtoolbox/PsychDemos Psychtoolbox/PsychTests -type f -iname *.m \
+	| grep -v -e "FAILURES DUE TO ABSENT FUNCTIONALITY IN TEST ENVIRONMENT" \
+      -e Contents -e Stereo -e Serial -e PsychCV \
+      -e Cedrus -e BitsPlus -e Kinect -e GPGPU -e DualHeads -e DaqTest \
+      -e Matlab -e FitCumNormYNTest -e OSAUCSTest -e FitGammaPow -e FitGammaDemo \
+      -e DirectInputMonitoringTest \
+	  -e OldNewReco -e AlphaImageDemo/[^A] \
+      -e ClutAnimDemo -e MinimumMotionExp -e AdditiveBlendingForLinearSuperpositionTutorial \
+      -e ImagingVideoCaptureDemo -e AudioTunnel3DDemo \
+      -e DetectionRTInVideoDemo \
+      -e VideoRecordingDemo -e PlayMoviesDemo -e PlayInterlacedMovieDemo \
+      -e ErrorCatchDemo -e MovieDemo\.m -e VideoTextureExtractionDemo \
+      -e VideoCapture \
+      -e DatarecordingFromISCANDemo -e PsychRTBoxDemo \
+      -e BlurredMipmapDemo \
+      -e Tests.*Timing -e HIDIntervalTest \
+      -e HighPrecisionLuminanceOutputDrivers -e HIDTest \
+      -e SyncedCLUTUpdateTest -e GetSecsTest -e ConvolutionKernelTest \
+      -e OSSchedulingAccuracyTest -e PTBAndVSETColorimetryTest \
+      -e LoadGenerator \
+    | grep -v -e "REQUIRE SOUND I/O (more in above list)" \
+      -e Sound -e Audio -e BasicAMAndMixScheduleDemo -e SimpleVoiceTriggerDemo \
+      -e KeyboardLatencyTest \
+      -e LoadMovieIntoTexturesDemo -e PlayMoviesWithoutGapDemo2 \
+    | grep -v -e "REQUIRE USER INPUT (more in the first list (TODO))" \
+      -e RenderDemo -e CalDemo -e KbDemo -e KbQueueDemo \
+    | grep -v -e "REQUIRE TOO LONG TO COMPLETE (and otherwise doesn't exit)" \
+      -e QuestTest \
+    | grep -v -e "KNOWN FAILURES TO BE FIXED (more in the first list (TODO))" \
+      -e PlayMoviesWithoutGapDemo1 \
+      -e FitWeibull.*Test -e DeinterlacerTest -e FitConeFundamentalsTest \
+      -e AlphaMultiplicationTest -e MinExpEntStairDemo \
+    | grep -v -e "REQUIRE SOME ADDITIONAL CMDLINE TOOLS AND SPECIAL HW" \
+      -e PTBAndIsetbioColorimetryTest \
+	| xargs debian/run_tests || echo "TESTS FAILED"
+
+#      -e MovieDemos \
+	: # Cleanup
+	find -iname MLIexpSubj11.txt -delete
+else
+	: # Skip unittests due to nocheck
+endif
+
 
 override_dh_auto_install:
 	dh_auto_install
@@ -140,28 +191,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f build-stamp
-	: # Manually remove  additional trash
-	find Psych* -regextype posix-egrep -regex '.*\.(o|mex|so(|\..*))' -delete
-	-rmdir $(BDIRS)
-	: # Prune some Debian generated files
-	-rm debian/octave-psychtoolbox-3.links debian/psychtoolbox-3-lib.links
-	$(MAKE) -C PsychSourceGL/Cohorts/PortAudio clean
-
-debian/changelog.upstream:
-	git log remotes/branches/beta >| $@
-
-get-orig-source: debian/changelog.upstream
-	@echo "I: Exporting free portion of `git describe dfsg`"; \
-	git archive --format=tar --prefix=$(srcpkg)-$(uver)/ dfsg | \
-        gzip -9 > $(srcpkg)_$(uver).orig.tar.gz
-
-# Fetch all those binary blobs to go into non-free binaries packages
-get-orig-source-nonfree:
-	@beta_merge_base=$$(git merge-base origin/beta HEAD); \
-	echo "I: Exporting non-free portion of `git describe $$beta_merge_base`"; \
-	git archive --format=tar --prefix=$(srcpkg)-nonfree-$(uver_nondfsg)/ $$beta_merge_base -- \
-		./Psychtoolbox/PsychBasic/*.mex{a64,glx} \
-		./Psychtoolbox/PsychBasic/Octave3LinuxFiles{,64}/{Eyelink,Datapixx}.mex \
-        ./Psychtoolbox/PsychHardware/iViewXToolbox/tcp_udp_ip/pnet.mex{a64,glx} \
-	| gzip -9 > $(srcpkg)-nonfree_$(uver_nondfsg).orig.tar.gz
+	rm -rf build-stamp build

## psychtoolbox-3 3.0.11.20140430.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20140430.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot (advised for packaging by upstream):
    - many compatibility fixes etc
    - resolves FTBFS with recent octave/gcc (Closes: #741802)
  * debian/patches
    - some patches were refreshed to address upstream code changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 May 2014 10:48:00 -0400

## psychtoolbox-3 3.0.11.20140705.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20140705.dfsg1-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 09 Jul 2014 13:44:08 -0400

psychtoolbox-3 (3.0.11.20140705.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 09:47:01 -0400

psychtoolbox-3 (3.0.11.20140516.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot addressing some issues with AMD Radeon HD-5000
    and fixing up some tests -- Mario never rests.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 17 May 2014 01:48:24 -0400

## psychtoolbox-3 3.0.11.20140816.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20140816.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot bugfix release
  * debian/patches/deb_psychtoolboxversion
    - dropped (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Aug 2014 20:12:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync,
                matlab-support-dev,
@@ -21,7 +20,7 @@
                freeglut3-dev,
                libgstreamer-plugins-base0.10-dev,
                libdc1394-22-dev,
-               libusb-1.0-0-dev,
+               libusb-1.0-0-dev (>= 2:1.0.9~),
                libfreenect-dev (>= 0.1.2),
                libfontconfig1-dev,
                libfreetype6-dev,
@@ -30,7 +29,8 @@
                xvfb, xauth, libgl1-mesa-dri, xdotool,
                pulseaudio-utils, octave-image,
                gstreamer0.10-plugins-base, gstreamer0.10-plugins-good,
-Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1)
+               gnuplot-nox | gnuplot,
+Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
 Standards-Version: 3.9.3
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
@@ -39,8 +39,9 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: subversion
+Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
@@ -60,7 +61,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base,
             gstreamer0.10-plugins-good,
             gstreamer0.10-plugins-bad,
@@ -85,7 +86,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -117,7 +118,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to

=== debian/watch ===
version=3
# at least lets monitor possible SVN tags
opts="versionmangle=s/-//,dversionmangle=s/.dfsg.*$//" \
  http://svn.berlios.de/svnroot/repos/osxptb Psychtoolbox-([^-]*)-*.*
